Sophie

Sophie

distrib > Mandriva > current > x86_64 > by-pkgid > 2536275839a4dd545823af94740d46d7 > files > 1

asterisk-1.6.2.18.2-0.1mdv2010.2.src.rpm

From 174c9bf143c066f5670dde47559ed3d9d8d0c28f Mon Sep 17 00:00:00 2001
From: Jeffrey C. Ollie <jeff@ocjtech.us>
Date: Sun, 18 Nov 2007 21:47:59 -0600
Subject: [PATCH] Modify init scripts for better Fedora compatibility.

---
 contrib/init.d/rc.redhat.asterisk |   61 +++++++++++++++++-------------------
 contrib/sysconfig/asterisk        |   16 ++++++++++
 2 files changed, 45 insertions(+), 32 deletions(-)
 create mode 100644 contrib/sysconfig/asterisk

diff --git a/contrib/init.d/rc.redhat.asterisk b/contrib/init.d/rc.redhat.asterisk
index d2a630e..7ac830d 100755
--- a/contrib/init.d/rc.redhat.asterisk
+++ b/contrib/init.d/rc.redhat.asterisk
@@ -3,11 +3,24 @@
 #
 # asterisk    Starts, Stops and Reloads Asterisk.
 #
-# chkconfig: 2345 90 60
+# chkconfig: - 90 60
 # description: Asterisk PBX and telephony daemon.
 # processname: asterisk
 # pidfile: __ASTERISK_VARRUN_DIR__/asterisk.pid
 #
+### BEGIN INIT INFO
+# Provides: asterisk
+# Required-Start: $network
+# Required-Stop: $network
+# Default-Start: 3 4 5
+# Short-Description: Starts the asterisk service
+# Description: Asterisk is a complete PBX in software. It runs on Linux 
+#              and provides all of the features you would expect from a PBX 
+#              and more. Asterisk does voice over IP in three protocols, 
+#              and can interoperate with almost all standards-based telephony 
+#              equipment using relatively inexpensive hardware.
+### END INIT INFO
+#
 # Thu Nov 17 2005 Gregory Boehnlein <damin@nacs.net>
 # - Updated Version to 1.3
 # - Reversed behavior of LD_ASSUME_KERNEL=2.4.1
@@ -20,51 +33,51 @@
 # - Added support for -U and -G command line options
 # - Modified "reload" to call asterisk -rx 'reload' 
 
-# Use this option to specify a different configuration directory
-#AST_CONFIG=__ASTERISK_ETC_DIR__
+# Do not modify this script to change any of the settings, instead
+# edit /etc/sysconfig/asterisk
+
+# Specify the configuration file
+AST_CONFIG=/etc/asterisk/asterisk.conf
 
 # Installation directory
 AST_SBIN=__ASTERISK_SBIN_DIR__
 
-# Uncomment the following and set them to the user/groups that you
-# want to run Asterisk as. NOTE: this requires substantial work to
-# be sure that Asterisk's environment has permission to write the
-# files required  for  its  operation, including logs, its comm
-# socket, the asterisk database, etc.
-#AST_USER="asterisk"
+# The user that Asterisk will run as.
+AST_USER="asterisk"
+
+# If a user is specified above, Asterisk will change the group it runs
+# as to the primary group of the user, as well as initialize the
+# supplementary groups.  If you want to run Asterisk as a different
+# group, set AST_GROUP to the group that Asterisk should run as.  Note
+# that this may break Zaptel devices as supplementary groups will not
+# be initialized.
 #AST_GROUP="asterisk"
 
-# Source function library.
-. /etc/rc.d/init.d/functions
+# Allow configuration overrides in /etc/sysconfig/asterisk
+CONFIG0=`readlink $0`
+if [ "$CONFIG0" = "" ]; then
+       CONFIGFILE=/etc/sysconfig/`basename $0`
+else
+       CONFIGFILE=/etc/sysconfig/`basename $CONFIG0`
+fi
+[ -f $CONFIGFILE ] && . $CONFIGFILE
 
 if ! [ -x $AST_SBIN/asterisk ] ; then
 	echo "ERROR: $AST_SBIN/asterisk not found"
 	exit 0
 fi
 
-if ! [ -d $AST_CONFIG ] ; then
-	echo "ERROR: $AST_CONFIG directory not found"
+if ! [ -f $AST_CONFIG ] ; then
+	echo "ERROR: $AST_CONFIG not found"
 	exit 0
 fi
 
-# Uncomment this ONLY if you know what you are doing.
-# export LD_ASSUME_KERNEL=2.4.1
+# Source function library.
+. /etc/rc.d/init.d/functions
 
 # Full path to asterisk binary
 DAEMON=$AST_SBIN/asterisk
 
-# Full path to safe_asterisk script
-SAFE_ASTERISK=$AST_SBIN/safe_asterisk
-
-# Allow configuration overrides in /etc/sysconfig/asterisk
-CONFIG0=`readlink $0`
-if [ "$CONFIG0" = "" ]; then
-	CONFIGFILE=/etc/sysconfig/`basename $0`
-else
-	CONFIGFILE=/etc/sysconfig/`basename $CONFIG0`
-fi
-[ -x $CONFIGFILE ] && . $CONFIGFILE
-
 RETVAL=0
 
 start() {
@@ -78,9 +91,6 @@
 
 	# Start daemons.
 	echo -n $"Starting asterisk: "
-        if [ -f $SAFE_ASTERISK ] ; then
-		DAEMON=$SAFE_ASTERISK
-	fi
 	if [ $AST_USER ] ; then
 		ASTARGS="-U $AST_USER"
 	fi
@@ -88,7 +98,7 @@
 		ASTARGS="$ASTARGS -G $AST_GROUP"
 	fi
 	if [ $AST_CONFIG ]; then
-		ASTARGS="$ASTARGS -C $AST_CONFIG/asterisk.conf"
+		ASTARGS="$ASTARGS -C $AST_CONFIG"
 	fi
 	daemon $DAEMON $ASTARGS
 	RETVAL=$?
@@ -105,7 +115,7 @@
 		killproc `basename $SAFE_ASTERISK`
 		echo
 	fi
-	echo -n $"Shutting down asterisk: "
+	echo -n $"Stopping asterisk: "
 	killproc `basename $DAEMON`
 	RETVAL=$?
 	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/asterisk
diff --git a/contrib/sysconfig/asterisk b/contrib/sysconfig/asterisk
new file mode 100644
index 0000000..2d3598a
--- /dev/null
+++ b/contrib/sysconfig/asterisk
@@ -0,0 +1,16 @@
+# Specify the configuration file
+AST_CONFIG=/etc/asterisk/asterisk.conf
+
+# Installation directory
+AST_SBIN=/usr/sbin
+
+# The user that Asterisk will run as.
+AST_USER="asterisk"
+
+# If a user is specified above, Asterisk will change the group it runs
+# as to the primary group of the user, as well as initialize the
+# supplementary groups.  If you want to run Asterisk as a different
+# group, set AST_GROUP to the group that Asterisk should run as.  Note
+# that this may break Zaptel devices as supplementary groups will not
+# be initialized.
+#AST_GROUP="asterisk"
-- 
1.5.6.5